## TpStreamTubeConnection

TpStreamTubeConnection — a connection on a Stream Tube

## Functions

TpStreamTubeChannel * | tp_stream_tube_connection_get_channel ()
TpContact * | tp_stream_tube_connection_get_contact ()
GSocketConnection * | tp_stream_tube_connection_get_socket_connection ()

## Properties

TpStreamTubeChannel * | channel | Read / Write / Construct Only
TpContact * | contact | Read / Write / Construct Only
GSocketConnection * | socket-connection | Read / Write / Construct Only

## Signals

void | closed | Run Last

## Types and Values

| TpStreamTubeConnection
| TpStreamTubeConnectionClass

## Object Hierarchy

        GObject
        ╰── TpStreamTubeConnection

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

Object used to represent a connection on a TpStreamTubeChannel.

## Functions

### tp_stream_tube_connection_get_channel ()

    TpStreamTubeChannel *
    tp_stream_tube_connection_get_channel (TpStreamTubeConnection *self);

Return the “channel” property

#### Parameters

self | a TpStreamTubeConnection |

#### Returns

the value of “channel”.

[transfer none]

Since: 0.13.2

### tp_stream_tube_connection_get_contact ()

    TpContact *
    tp_stream_tube_connection_get_contact (TpStreamTubeConnection *self);

Return the “contact” property

#### Parameters

self | a TpStreamTubeConnection |

#### Returns

the value of “contact”.

[transfer none]

Since: 0.13.2

### tp_stream_tube_connection_get_socket_connection ()

    GSocketConnection *
    tp_stream_tube_connection_get_socket_connection
                                   (TpStreamTubeConnection *self);

Return the “socket-connection” property

#### Parameters

self | a TpStreamTubeConnection |

#### Returns

the value of “socket-connection”.

[transfer none]

Since: 0.13.2

## Types and Values

### TpStreamTubeConnection

    typedef struct _TpStreamTubeConnection TpStreamTubeConnection;

Data structure representing a connection on a TpStreamTubeChannel.

Since: 0.13.2

### TpStreamTubeConnectionClass

    typedef struct _TpStreamTubeConnectionClass TpStreamTubeConnectionClass;

The class of a TpStreamTubeConnection.

Since: 0.13.2

## Property Details

### The `“channel”` property

      “channel”                  TpStreamTubeChannel *

The TpStreamTubeChannel channel associated with this connection

This property can't be `NULL`.

Owner: TpStreamTubeConnection

Flags: Read / Write / Construct Only

Since: 0.13.2

### The `“contact”` property

      “contact”                  TpContact *

The TpContact with who we are exchanging data through this tube, or `NULL` if we can't safely identify the contact.

If not `NULL`, the TpContact objects is guaranteed to have all of the features previously passed to `tp_simple_client_factory_add_contact_features()` prepared.

Owner: TpStreamTubeConnection

Flags: Read / Write / Construct Only

Since: 0.13.2

### The `“socket-connection”` property

      “socket-connection”        GSocketConnection *

The GSocketConnection used to transfer data through this connection. Read-only except during construction.

This property can't be `NULL`.

Owner: TpStreamTubeConnection

Flags: Read / Write / Construct Only

Since: 0.13.2

## Signal Details

### The `“closed”` signal

    void
    user_function (TpStreamTubeConnection *self,
                   GError                 *error,
                   gpointer                user_data)

The ::closed signal is emitted when the connection manager reports that a tube connection has been closed.

#### Parameters

self | the TpStreamTubeConnection |
error | a GError representing the error reported by the connection manager. | [transfer none]
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 0.13.2